Delete a service registry connection on a gateway group
DELETE /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}
DELETE /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}Interactive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
service_registry_id*string
Service registry ID.
Length
1 <= lengthgateway_group_id*string
Gateway group ID.
Length
1 <= lengthResponse Body
application/json
curl -X DELETE "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/service_registries/86fb9981-d9d2-4555-9df8-91ae92129335"Operation completed successfully with no response body.
""Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
DELETE /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}
Delete a service registry connection on a gateway group
IAM Action: gateway:DisconnectServiceRegistry, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
service_registry_id(path, string, required): Service registry ID.gateway_group_id(path, string, required): Gateway group ID.
Responses
200: Operation completed successfully with no response body.400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X DELETE '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}'